Makini
v3 (Legacy)
  • v4 (Latest)
  • v3 (Legacy)
Website
v3 (Legacy)
  • v4 (Latest)
  • v3 (Legacy)
v3 (Legacy)
  • v4 (Latest)
  • v3 (Legacy)
  1. Invoice
API Reference
  • API Reference
  • Account
    • List Account
      GET
    • Get an Account
      GET
  • Model
    • List Model
      GET
    • Get a Model
      GET
  • MaterialItem
    • Get Asset Template Materials
      GET
    • Get Asset Materials
      GET
    • Get Assembly Materials
      GET
    • Get PM Materials
      GET
    • Get Order Materials
      GET
  • Asset
    • List Asset
      GET
    • Create an Asset
      POST
    • Get an Asset
      GET
    • Update an Asset
      PUT
  • AssetDowntime
    • List AssetDowntime
      GET
    • Get an AssetDowntime
      GET
  • BillOfMaterial
    • List BillOfMaterial
      GET
    • Get a BillOfMaterial
      GET
  • Company
    • List Company
      GET
    • Get a Company
      GET
  • Currency
    • List Currency
    • Get a Currency
  • Customer
    • List Customer
    • Create a Customer
    • Get a Customer
    • Update a Customer
  • Document
    • List Document
    • Create a Document
    • Get a Document
  • ExchangeRate
    • List ExchangeRate
    • Get an ExchangeRate
  • Fulfillment
    • List Fulfillment
    • Create a Fulfillment
    • Get a Fulfillment
    • Update a Fulfillment
    • Update a Fulfillment Status
  • ProductGroup
    • List ProductGroup
    • Get a ProductGroup
  • Integration
    • Get an Integration Current
    • Delete an Integration Integration
  • Inventory
    • List Inventory
    • Get an Inventory
    • Update an Inventory
  • Invoice
    • List Invoice
      GET
    • Create an Invoice
      POST
    • Get an Invoice
      GET
    • Update an Invoice
      PUT
    • Update an Invoice Status
      PUT
  • Labor
    • List Labor
    • Get a Labor
  • Location
    • List Location
    • Get a Location
  • Part
    • List Part
    • Create a Part
    • Get a Part
    • Update a Part
  • Material
    • Update a Material Inventory
  • CounterReading
    • List CounterReading
    • Get a CounterReading
  • Counter
    • List Counter
    • Get a Counter
  • Organization
    • List Organization
    • Get an Organization
  • Passthrough
    • Create a Passthrough
  • PreventiveMaintenance
    • List PreventiveMaintenance
    • Get a PreventiveMaintenance
  • ProductionOrder
    • List ProductionOrder
    • Get a ProductionOrder
  • Product
    • List Product
    • Create a Product
    • Get a Product
    • Update a Product
  • Project
    • List Project
    • Get a Project
  • PurchaseOrder
    • List PurchaseOrder
    • Create a PurchaseOrder
    • Get a PurchaseOrder
    • Update a PurchaseOrder
    • Update a PurchaseOrder Status
  • LineItem
    • List LineItem
    • Get a LineItem
  • PurchaseRequisition
    • List PurchaseRequisition
    • Get a PurchaseRequisition
  • Raw
    • Get list of tables
    • Get raw data from a table
  • Receipt
    • List Receipt
    • Get a Receipt
  • Receiving
    • List Receiving
    • Create a Receiving
    • Get a Receiving
    • Update a Receiving
  • ReturnOrder
    • List ReturnOrder
    • Create a ReturnOrder
    • Get a ReturnOrder
    • Update a ReturnOrder
  • RequestForQuotation
    • List RequestForQuotation
    • Create a RequestForQuotation
    • Get a RequestForQuotation
    • Update a RequestForQuotation
  • SalesOrder
    • List SalesOrder
    • Create a SalesOrder
    • Get a SalesOrder
    • Update a SalesOrder
  • ServiceRequest
    • List ServiceRequest
    • Create a ServiceRequest
    • Get a ServiceRequest
  • ShipmentOrder
    • List ShipmentOrder
    • Get a ShipmentOrder
    • Create a ShipmentOrder Delivered
  • Site
    • List Site
    • Get a Site
  • Status
    • List Status Fulfillments
    • List Status Invoices
    • List Status ProductionOrders
    • List Status Projects
    • List Status PurchaseOrders
    • List Status PurchaseRequisitions
    • List Status Receivings
    • List Status ReturnOrders
    • List Status Rfqs
    • List Status SalesOrders
    • List Status ServiceRequests
    • List Status ShipmentOrders
    • List Status StockTransfers
    • List Status WorkOrders
  • StockAdjustment
    • List StockAdjustment
    • Create a StockAdjustment
    • Get a StockAdjustment
    • Update a StockAdjustment
  • StockTransfer
    • List StockTransfer
    • Create a StockTransfer
    • Get a StockTransfer
    • Update a StockTransfer
  • Stock
    • List Stock
    • Create a Stock
    • Get a Stock
    • Update a Stock
  • Storeroom
    • List Storeroom
    • Get a Storeroom
  • Client
    • Get a Client
  • Connection
    • List Connections
    • Create a Connection
    • Delete a Connection
  • ConnectionMetadata
    • List ConnectionMetadatas
    • Create a ConnectionMetadata
  • ConnectionToken
    • Create a ConnectionToken
  • Platform
    • List Platforms
  • Tax
    • List Tax
    • Get a Tax
  • Team
    • List Team
    • Get a Team
  • UnitOfMeasure
    • List UnitOfMeasure
    • Get an UnitOfMeasure
  • User
    • List User
    • Get an User
  • Vendor
    • List Vendor
    • Get a Vendor
  • WorkOrder
    • List WorkOrder
    • Create a WorkOrder
    • Get a WorkOrder
    • Update a WorkOrder
    • List WorkOrder Materials
    • Create a WorkOrder Material
    • Update a WorkOrder Material
    • Update a WorkOrder Status
    • List All WorkOrder Materials
  • CustomField
    • List CustomField CustomFields
  1. Invoice

Create an Invoice

POST
/api/invoices
This endpoint creates a new invoice, which can be either an outgoing invoice (sales) or incoming invoice (bill). The required fields depend on the type of invoice being created.

Invoice Types and Required Fields:#

Outgoing Invoices (Sales Invoices):
Required: customerKey and/or salesOrderKey
Used when creating invoices for customers who purchased goods or services
Represents revenue transactions for your organization
Incoming Invoices (Bills):
Required: vendorKey and/or poKey (Purchase Order Key)
Used when recording invoices received from vendors for purchases
Represents expense transactions for your organization

Important Notes:#

Invoice Type Determination: The system determines the invoice type based on which keys are provided
Field Requirements: Include the appropriate key(s) based on the invoice type you're creating
Data Integrity: Ensure the referenced keys (customer, vendor, sales order, or purchase order) exist in the system before creating the invoice
This distinction ensures proper categorization and financial tracking of your receivables and payables.

Request

Authorization
or
Body Params application/json

Examples

Responses

🟢200
application/json
Successful operation
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/invoices' \
--header 'Content-Type: application/json' \
--data-raw '{
    "invoiceNumber": "string",
    "vendorKey": "08000709523389",
    "poKey": "02000651551864",
    "statusKey": "07000049455494",
    "lineItem": "[]",
    "invoiceDate": "2019-12-09T14:03:23Z",
    "dueDate": "1992-04-22T02:41:28Z",
    "receivedDate": "1971-10-12T20:01:53Z",
    "currencyKey": "01000561706568",
    "customerKey": "08000665752212",
    "totalNetValue": "string",
    "totalTaxValue": "string",
    "totalGrossValue": "string"
}'
Response Response Example
{
    "data": {
        "key": "02000274112739",
        "title": "Animi qui amet consequuntur eaque tempora omnis.",
        "customerKey": "03000976735530",
        "locationKey": "09000185755146",
        "invoiceNumber": "string",
        "vendorKey": "09000617415179",
        "poKey": "01000528545464",
        "statusKey": "05000513154016",
        "lineItems": [
            {
                "key": "04000977544343",
                "locationKey": "05000049450370",
                "vendorKey": "05000305858997",
                "productKey": "08000789619140",
                "statusKey": "08000255184239",
                "storeroomKey": "06000741291616",
                "currencyKey": "07000217328174",
                "lineNo": "string",
                "code": "40434995",
                "lineRef": "string",
                "quantity": "string",
                "receivedQuantity": "string",
                "uomKey": "07000471409892",
                "price": "string",
                "discount": "string",
                "lineTaxValue": "string",
                "lineTotalValue": "string",
                "notes": "string",
                "deliveryAt": "1975-10-25T20:35:29Z",
                "createdAt": "2001-04-04T23:55:29Z",
                "updatedAt": "2020-05-10T12:11:38Z",
                "deletedAt": "2020-04-14T20:42:57Z"
            }
        ],
        "invoiceDate": "1975-08-23T05:10:12Z",
        "dueDate": "2023-06-20T12:01:22Z",
        "receivedDate": "1976-11-07T15:51:05Z",
        "currencyKey": "06000689238653",
        "totalNetValue": "string",
        "totalTaxValue": "string",
        "totalGrossValue": "string",
        "salesOrderKey": "01000102122959",
        "createdAt": "2017-03-10T15:42:54Z",
        "updatedAt": "2019-11-15T21:16:35Z",
        "deletedAt": "1999-12-20T23:58:38Z"
    }
}
Modified at 2026-03-19 15:49:21
Previous
List Invoice
Next
Get an Invoice
Built with